dofile(LockOn_Options.script_path .. "Displays/HUD/Indicator/definitions.lua")

local Level = DEFAULT_LEVEL + 1
local Noclip_level = DEFAULT_NOCLIP_LEVEL + 1

AddBox(nil,Width,Height,nil,nil,'DBG_RED',Noclip_level,REWRITE_LEVEL,nil,nil,nil,true)

IS_HUD = true
--local N=0
local z_simple = AddSimple(nil,{0,0,-N},{0,90},nil,{'HUD_Z'},{{AnimalControllor.moveLeftRightUsingParameter,0,-0.2}})
local base_simple = AddSimple(nil,nil,{0,-90},z_simple)
local Line_width = 0.004 * Width

--姿态

local adi_clip = AddBox(
    "姿态裁剪底",
    ADI_W, ADI_H,
    {0, 0},              -- 位置偏移
    nil,                 -- texture
    'DBG_CLEAR',         -- material
    Noclip_level,    	 -- 裁剪等级
    INCREASE_IF_LEVEL,   -- 裁剪关系：只让高于或等于该等级的子元素受限
    base_simple          -- 挂到的父节点
)

local adi_rot_simple = AddSimple(nil,nil,nil,adi_clip,{'EADI_ROLL'},{{AnimalControllor.rotateUsingParameter,0,1}})
local adi_mov_simple = AddSimple(nil,nil,nil,adi_rot_simple,{'EADI_PITCH'},{{AnimalControllor.moveUpDownUsingParameter,0,-0.5615}})
local simple = AddSimple(nil,nil,nil,adi_mov_simple)
--飞行俯仰线
AddSimpleLine(nil,Line_width,{{-0.1*Width,0},{0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,adi_rot_simple, {"ATK_MODE"}, {{AnimalControllor.parameterInRange,0,-0.1,2.1}} )
--地平线
--左半
--IndicatorName = 'ADI_LINE_GROUP'
AddSimpleLine(nil,Line_width,{{-0.5*Width,0},{-0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
--右半
AddSimpleLine(nil,Line_width,{{ 0.5*Width,0},{ 0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
AddText(nil,'0','hud_font_base',{-0.55*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)
AddText(nil,'0','hud_font_base',{ 0.55*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)
--刻度 
for i = 1, 18, 1 do
    --上半部分
    simple = AddSimple(nil,{0,0.7*i*Height},nil,adi_mov_simple, {"ATK_MODE"}, {{AnimalControllor.parameterCompareWithNumber,0,0}})
    --左半
    AddSimpleLine(nil,Line_width,{{-0.3*Width,0.05*Height},{-0.3*Width,0},{-0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
    --右半
    AddSimpleLine(nil,Line_width,{{ 0.3*Width,0.05*Height},{ 0.3*Width,0},{ 0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
    AddText(nil,tostring(i*5),'hud_font_base',{-0.35*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)
    AddText(nil,tostring(i*5),'hud_font_base',{ 0.35*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)

    --下半部分
    simple = AddSimple(nil,{0,-0.7*i*Height},nil,adi_mov_simple, {"ATK_MODE"}, {{AnimalControllor.parameterCompareWithNumber,0,0}})
    --左半
    AddSimpleLine(nil,Line_width,{{-0.3*Width,-0.05*Height},{-0.3*Width,0},{-0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
    --右半
    AddSimpleLine(nil,Line_width,{{ 0.3*Width,-0.05*Height},{ 0.3*Width,0},{ 0.1*Width,0}},nil,nil,'SCREEN_COLOR',nil,Level,simple)
    AddText(nil,tostring(i*5),'hud_font_base',{-0.35*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)
    AddText(nil,tostring(i*5),'hud_font_base',{ 0.35*Width,0},nil,DEFAULT_FONT_SIZE[1],nil,Level,simple)
end
